List all returns
curl --request GET \
--url https://app.supercycle.com/api/v1/return_orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.supercycle.com/api/v1/return_orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.supercycle.com/api/v1/return_orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"customer": {
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"shopifyId": 123,
"defaultAddress": {
"customerId": 123,
"default": true,
"firstName": "<string>",
"lastName": "<string>",
"company": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"province": "<string>",
"country": "<string>",
"zip": "<string>",
"phone": "<string>",
"name": "<string>",
"provinceCode": "<string>",
"countryCode": "<string>",
"countryName": "<string>"
},
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>"
},
"returnLines": [
{
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"rentalId": 123,
"condition": {
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"severityKey": "<string>",
"severityTone": "<string>",
"title": "<string>"
},
"item": {
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"activeRentalId": 123,
"productTitle": "<string>",
"serial": "<string>",
"sequentialId": 123,
"shopifyVariantId": 123,
"tags": [
"<string>"
],
"variantTitle": "<string>",
"activeReturnId": 123,
"condition": {
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"severityKey": "<string>",
"severityTone": "<string>",
"title": "<string>"
},
"conditionId": 123,
"imageUrl": "<string>",
"location": {
"shopifyId": 123,
"name": "<string>"
},
"pickLocation": "<string>",
"acquisitionCostCents": 123,
"roiCents": 123,
"shopifyProductId": 123,
"timelineEvents": [
{
"id": 123,
"eventableId": 123,
"eventableType": "<string>",
"eventType": "<string>",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"author": "<string>"
}
],
"customFields": [
{
"id": 123,
"ownerId": 123,
"definitionId": 123,
"key": "<string>",
"value": "<string>",
"valueJson": "<unknown>"
}
]
},
"requestedAt": "2023-11-07T05:31:56Z",
"restockedAt": "2023-11-07T05:31:56Z"
}
],
"sequentialId": 123,
"requestedAt": "2023-11-07T05:31:56Z",
"returnMethod": {
"trackingUrl": "<string>",
"addressShopifyId": 123,
"collectionDate": "2023-12-25"
},
"timelineEvents": [
{
"id": 123,
"eventableId": 123,
"eventableType": "<string>",
"eventType": "<string>",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"author": "<string>"
}
],
"tags": [
"<string>"
]
}
],
"nextPage": "<string>"
}{
"error": "Rate limit exceeded. Retry after 42 seconds."
}ReturnOrders
List all returns
Get a list of returns, their details and items, given parameters. Used by merchants to list registered returns to start, or check if an item already exists in a return.
GET
/
return_orders
List all returns
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 50.
Required range:
x <= 100Cursor token to fetch next page of results.
Filter returns by formatted IDs and customer names
Filter return orders by status, can be a comma-separated list of statuses
Available options:
requested, expected, received, in_progress, completed, cancelled Was this page helpful?
⌘I